<script type="text/javascript" src="/js/lightbox.js"></script>
<link rel="stylesheet" href="/css/lightbox.css">

<style>
    .image-gallery {margin-left: -1%!important;}
    .image-gallery li {float: left; display: block; margin: 0 0 5% 5%; width: 160px; height: 160px}
    .image-gallery li a {text-align: center; text-decoration: none!important; color: #777;}
    .image-gallery li a span {display: block; text-overflow: ellipsis; overflow: hidden; white-space: nowrap; padding: 3px 0;}
    .image-gallery li a img {width: 100%; display: block; border-radius: 8px;}
</style>

{{ $dir := string (.Get "gallery_dir") }}
<ul class="image-gallery">
{{ range (readDir (print "/assets" $dir)) }}
  {{ if ne (substr .Name 0 1 ) "." }}
    {{- $image := resources.Get (printf "%s/%s" $dir .Name) -}}
    {{- $imageurl := printf "%s/%s" $dir .Name -}}
    {{- $imagetitle := index (split .Name ".") 0 -}}
      <li>
        <a href="{{ ($image.Fit "1600x1600 q50").Permalink }}" title="{{ $imagetitle }}" class="lightbox-image">
          <img src="{{ ($image.Fill "160x160 q50").Permalink }}" alt="{{ $imagetitle }}" title="{{ $imagetitle }}">
          <!-- <span>{{ $imagetitle }}</span> -->
        </a>
      </li>
  {{ end }}
{{ end }}
</ul>